/////////////////////////////////////////////////////////////////////////////
// CardDraw.h - Header file for card drawing routines
//
// Hearts Card Game
// Copyright (C) 2001 Leo C. Singleton IV
// http://www.leosingleton.com/projects/hearts/
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; version 2 of the
// License. 
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
// 02110-1301, USA.
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// Revision History
//
// 8/8/01 LCS - changed #includes; removed #defines needed to upgrade from
//		Palm OS SDK 3.1 to SDK 4.0 - removed DrawBack() (not used in Hearts)
/////////////////////////////////////////////////////////////////////////////


#if !defined(__CARDDRAW_H__)
#define __CARDDRAW_H__


#include <PalmOS.h>
#include "Hearts.h"
#include "Resource.h"


// Cards
#define CARD_2			0
#define CARD_3			1
#define CARD_4			2
#define CARD_5			3
#define CARD_6			4
#define CARD_7			5
#define CARD_8			6
#define CARD_9			7
#define CARD_10			8
#define CARD_JACK		9
#define CARD_QUEEN		10
#define CARD_KING		11
#define CARD_ACE		12

// Suits
#define SUIT_CLUBS		0
#define SUIT_DIAMONDS	1
#define SUIT_SPADES		2
#define SUIT_HEARTS		3

// Card Types
#define CARDTYPE_FULL	0
#define CARDTYPE_TOP	1
#define CARDTYPE_LEFT	2
#define CARDTYPE_TOPSMALL	3	// only valid for card backs
#define CARDTYPE_LEFTSMALL	4	// only valid for card backs


extern void CheckLocks(void);

// Drawing Routines
extern Boolean PreDraw();
//extern Boolean DrawCard(UInt8 card, UInt8 suit, UInt8 cardType,
//						Boolean invert, UInt16 x, UInt16 y);
extern Boolean DrawCard(const UInt8 card, const UInt8 suit,
						const UInt8 cardType, const Boolean invert,
						const UInt16 x, const UInt16 y);
//extern Boolean DrawBack(UInt8 back, UInt8 cardType, Boolean invert,
//						UInt16 x, UInt16 y);
extern Boolean PostDraw();


#endif // __CARDDRAW_H__

