/////////////////////////////////////////////////////////////////////////////
// MainForm.h - Header file for application's main form
//
// Hearts Card Game
// Copyright (C) 2001-2002 Leo C. Singleton IV
// http://www.leosingleton.com/projects/hearts/
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; version 2 of the
// License. 
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
// 02110-1301, USA.
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// Revision History
//
// 8/8/01 LCS - changed #includes; removed #defines needed to upgrade from
//		Palm OS SDK 3.1 to SDK 4.0
// 6/10/02 LCS - split MainForm.h into two files (GameLogic.h) to reduce the
//		size of MainForm.c
/////////////////////////////////////////////////////////////////////////////


#if !defined(__MAINFORM_H__)
#define __MAINFORM_H__


#include <PalmOS.h>
#include "Resource.h"


// Event Handler for MainForm
extern Boolean MainFormHandleEvent(EventPtr event);

// Functions called by GameLogic.c
extern void DoScoreDialog();
extern void DeallocateMainScreenBuffers();
extern void ShowMessage(UInt16 stringID);
extern void DrawPlayerCardsAll();
extern void DrawPlayerNames();
extern void PaintScreen(Boolean erase);


#endif // __MAINFORM_H__

