/////////////////////////////////////////////////////////////////////////////
// Resource.h - Header file containing resource IDs
//
// Hearts Card Game
// Copyright (C) 2001-2002 Leo C. Singleton IV
// http://www.leosingleton.com/projects/hearts/
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; version 2 of the
// License. 
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
// 02110-1301, USA.
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// Revision History
//
// 5/31/02 LCS - corrected spelling of PLAYERNAME_MAXLENGTHALL
// 6/2/02 LCS - added MAX_CHAR_WIDTH
/////////////////////////////////////////////////////////////////////////////


#define CardBacks					5

#define PLAYERCARDS_X				10
#define PLAYERCARDS_Y				114
#define MESSAGE_Y					148
#define FIELD_TOP					16
#define FIELD_LEFT					0
#define FIELD_RIGHT					159
#define FIELD_BOTTOM				148

#define BACKGROUND_COLOR			213

#define PLAYER0CARD_X				70
#define PLAYER0CARD_Y				68
#define PLAYER0CARD_YI				150
#define PLAYER1CARD_X				45
#define PLAYER1CARD_XI				(-20)
#define PLAYER1CARD_Y				50
#define PLAYER2CARD_X				70
#define PLAYER2CARD_Y				32
#define PLAYER2CARD_YI				(-15)
#define PLAYER3CARD_X				95
#define PLAYER3CARD_XI				160
#define PLAYER3CARD_Y				50

#define PLAYERNAME_MAXWIDTH			120
#define PLAYERNAME_MAXHEIGHT		14
#define PLAYERNAME_MAXLENGTHALL		7
#define PLAYER0NAME_X				20
#define PLAYER0NAME_Y				98
#define PLAYER1NAME_XC				4
#define PLAYER1NAME_YC				65
#define PLAYER2NAME_X				20
#define PLAYER2NAME_Y				16
#define PLAYER3NAME_XC				156
#define PLAYER3NAME_YC				65
#define MAX_CHAR_WIDTH				8


/////////////////////////////////////////////////////////////////////////////
// Alerts
#define AboutAlert					1000
#define EndGameAlert				1002
#define RomIncompatibleAlert		1003
#define ColorNotSupportedAlert		1004


/////////////////////////////////////////////////////////////////////////////
// MainForm
#define MainForm					1000
#define MainPassButton				1000
#define MainStatusLabel				1001


/////////////////////////////////////////////////////////////////////////////
// ScoreDialog
#define ScoreDialog					1100
#define ScoreName1Field				1100
#define ScoreScore1Field			1101
#define ScoreTotal1Field			1102
#define ScoreName2Field				1103
#define ScoreScore2Field			1104
#define ScoreTotal2Field			1105
#define ScoreName3Field				1106
#define ScoreScore3Field			1107
#define ScoreTotal3Field			1108
#define ScoreName4Field				1109
#define ScoreScore4Field			1110
#define ScoreTotal4Field			1111
#define ScoreContinueButton			1112


/////////////////////////////////////////////////////////////////////////////
// PrefsDialog
#define PrefsDialog					1200
#define PrefsAnimSpeedTrigger		1200
#define PrefsAnimSpeedList			1201
#define PrefsAnimSmoothTrigger		1202
#define PrefsAnimSmoothList			1203
#define PrefsYourNameField			1204
#define PrefsOpponent1NameField		1205
#define PrefsOpponent2NameField		1206
#define PrefsOpponent3NameField		1207
#define PrefsOKButton				1208
#define PrefsCancelButton			1209


/////////////////////////////////////////////////////////////////////////////
// MainMenuBar
#define MainMenuBar					1000
#define MainGameNewGame				1001
#define MainGameScore				1002
#define MainGameEndGame				1003
#define MainOptionsPreferences		1011
#define MainOptionsHowToPlay		1012
#define MainOptionsAboutLeo			1013
#define MainOptionsAbout			1014


/////////////////////////////////////////////////////////////////////////////
// Strings
#define MsgBlank					1000
#define MsgPassLeft					1001
#define MsgPassAcross				1002
#define MsgPassRight				1003
#define MsgFollowSuit				1004
#define MsgFirstTrick				1005
#define MsgSelectCardPlay			1006
#define MsgHeartsNotBroken			1007
#define MsgPlayTwoClubs				1008

#define StatusTapAnywhere			1020
#define StatusLeoSolutions			1021

#define AboutLeoSolutions			1030

#define HowToPlay					1031

#define PlayerName1					1100
#define PlayerName2					1101
#define PlayerName3					1102
#define PlayerName4					1103


/////////////////////////////////////////////////////////////////////////////
// Bitmaps
#define MainScreenBitmap			1000


/////////////////////////////////////////////////////////////////////////////
// Card Bitmaps
#define CardBegin					2000
#define Card2						2000
#define Card3						2001
#define Card4						2002
#define Card5						2003
#define Card6						2004
#define Card7						2005
#define Card8						2006
#define Card9						2007
#define Card10						2008
#define CardJ						2009
#define CardQ						2010
#define CardK						2011
#define CardA						2012
#define CardSuitBegin				2013
#define CardC						2013
#define CardD						2014
#define CardS						2015
#define CardH						2016
#define CardEnd						2016

#define CardIBegin					2020
#define CardI2						2020
#define CardI3						2021
#define CardI4						2022
#define CardI5						2023
#define CardI6						2024
#define CardI7						2025
#define CardI8						2026
#define CardI9						2027
#define CardI10						2028
#define CardIJ						2029
#define CardIQ						2030
#define CardIK						2031
#define CardIA						2032
#define CardISuitBegin				2033
#define CardIC						2033
#define CardID						2034
#define CardIS						2035
#define CardIH						2036
#define CardIEnd					2036

#define CardBackBegin				2040
#define CardBack0					2040
#define CardBack1					2041
#define CardBack2					2042
#define CardBack3					2043
#define CardBack4					2044
#define CardBackEnd					2044

#define CardRBegin					2050
#define Card2R						2050
#define Card3R						2051
#define Card4R						2052
#define Card5R						2053
#define Card6R						2054
#define Card7R						2055
#define Card8R						2056
#define Card9R						2057
#define Card10R						2058
#define CardJR						2059
#define CardQR						2060
#define CardKR						2061
#define CardAR						2062
#define CardREnd					2062

#define CardIRBegin					2070
#define CardI2R						2070
#define CardI3R						2071
#define CardI4R						2072
#define CardI5R						2073
#define CardI6R						2074
#define CardI7R						2075
#define CardI8R						2076
#define CardI9R						2077
#define CardI10R					2078
#define CardIJR						2079
#define CardIQR						2080
#define CardIKR						2081
#define CardIAR						2082
#define CardIREnd					2082

